#
# spec file for package filius
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define _use_internal_dependency_generator 0
%define my_provides	%_tmppath/my-provides

Name:           filius
Version:        1.7.2
Release:        lp150.1.1
License:        GPL-2.0+
Summary:        Lernanwendung zu Rechnernetzen 
Url:            http://www.lernsoftware-filius.de/
Group:          Development/Languages/Java
Source0:        %{name}-%{version}.zip
Source1:        Filius.sh
Source2:        %{name}-rpmlintrc
Source3:        %{name}.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
BuildRequires:  fastjar
BuildRequires:  fdupes
BuildRequires:  jarnal
BuildRequires:  unzip
BuildRequires:  update-desktop-files
Requires:       java

%description
Filius wurde entwickelt, um Unterricht zum Internet zu unterstützen. Zielgruppe
sind Lernende in der Sekundarstufe allgemein bildender Schulen. Mit Filius
werden Lernaktivitäten ermöglicht, die insbesondere  entdeckendes Lernen
unterstützen sollen. 
 
%prep
%setup -T -c %name-%{version} -a0
sed -i "s|
||g" *.txt

%build

%install
# install license and readme files to standard location
mkdir -p %{buildroot}%{_defaultdocdir}/%{name}
cp *.txt %{buildroot}%{_defaultdocdir}/%{name}
# install java stuff
mkdir -p %{buildroot}%{_datadir}/%{name}
install -m644 filius.jar %{buildroot}%{_datadir}/%{name}/
cp -R config %{buildroot}%{_datadir}/%{name}/
cp -R hilfe %{buildroot}%{_datadir}/%{name}/
cp -R img %{buildroot}%{_datadir}/%{name}/
cp -R lib %{buildroot}%{_datadir}/%{name}/
cp -R tmpl %{buildroot}%{_datadir}/%{name}/
install -Dm755 %{SOURCE1} %{buildroot}%{_bindir}/%{name}
# install desktop file and icon stuff
install -Dm644 %{SOURCE3} %{buildroot}%{_datadir}/applications/%{name}.desktop
%if 0%{?suse_version} > 1020
%suse_update_desktop_file %{name} Development IDE
%fdupes -s %{buildroot}
%endif

%clean
[ -d %{buildroot} -a %{buildroot} != "" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc %{_defaultdocdir}/%{name}
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop

%changelog
* Fri Dec 22 2017 lars@linux-schulserver.de
- update to 1.7.2
  * Konfigurierbare Groesse der Arbeitsflaeche zum Aufbau der Rechnernetze
    (konfigurierbar in filius.ini)
  * Fehlerbehebung: Anhalten einer Server-Anwendung gibt den Port frei,
    der fuer den Serversocket verwendet wurde
  from filius (1.7.1) - 03.02.2016
  * Fehlerbehebung: Sprachselektion bei erstmaligem Starten wieder aktiviert
  from filius (1.7.0) - 30.01.2016
  * Neues Windowsinstallationsprogramm
  * Systemvoraussetzung Java 8
  * Aufrufparameter 'verbose' ergaenzt
  * Grundlegende Ueberarbeitung DHCP
  * DHCP unterstuetzt jetzt statisch zugewiesene IP-Adressen
  * Der Software-Assistent steht jetzt nicht mehr zwingend zur Verfuegung
    (abhaengig von JDK/JRE und Konfiguration)
  * Im Dateidialog zum Oeffnen eines neuen Projekts ist jetzt das zuletzt
    verwendete Verzeichnis vorselektiert
  * Webserver erlaubt jetzt auch unbekannte Dateiendungen (Versand als text/plain)
    und erkennt Endung .htm auch als HTML
  * Fehlerbehebung: Anwendung fuer Dateiaustausch (P2P) und Webserver funktioniert
    jetzt auch mit Leerzeichen in Dateinamen
  * Fehlerbehebung: Mehrere DHCP-Server können jetzt im gleichen Rechnernetz
    vorhanden sein
  * Fehlerbehebung: Selektion bei Löschen vorhandener Kabel korrigiert
  * Fehlerbehebung: Validierung E-Mail-Adressen korrigiert (Reg. Ausdruck angepasst)
  * Fehlerbehebung: DHCP funktioniert jetzt auch, wenn zwischendurch das
    Projekt gewechselt wurde
  * Fehlerbehebung: Wenn ein Projekt ohne Dateiendung gespeichert wird, werden
    jetzt auch die Textelemente mit gespeichert
  from filius (1.6.1) - 29.04.2015
  * Fehlerbehebung: Fehlerhafte Bestimmung von IP-Adressen als Broadcast behoben
  * Fehlerbehebung: TTL wird jetzt nicht mehr fuer lokal adressierte
    Pakete dekrementiert
  * Verbesserung des Datenaustauschprotokolls als Textdatei
  from filius (1.6.0)  - 22.01.2015
  * Fehlerbehebung: Robustere Eingabe der Rechnerkonfiguration
  * Fehlerbehebung: Verbindungsherstellung/-trennung mit Modem stabiler realisiert
  * Ausgabe einer Fehlermeldung, wenn ein Broadcast-Ping ausgefuehrt werden soll
  * Fehlerbehebung: Knoten konnten u.U. nicht mehr selektiert werden, wenn
    sie durch Beschreibungselemente ueberlagert wurden
  * Fehlerbehebung: Ping-Fehler behoben
  * Konfiguration der Knoten als Tooltip in der Netzwerkansicht
  * Export des Nachrichtenaustauschs als einfache Textdatei
  * Maximale Anzahl von Verbindungen zu Switch (von 8) auf 24 erhoeht
  * Fehlerbehebung: TTL wird jetzt korrekt inkrementiert
* Fri Dec 14 2012 lars@linux-schulserver.de
- reduce output of shell script for invoking filius
* Fri Dec 14 2012 lars@linux-schulserver.de
- initial version 1.4.5.3
